org.apache.ode.bpel.pmapi

## Interface Replay

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    ReplayImpl

      public interface Replay
      extends org.apache.xmlbeans.XmlObject

  An XML Replay(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Replay.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlLong` | `addNewReplaceInstance()` Appends and returns a new empty value (as xml) as the last "replaceInstance" element
    `CommunicationType` | `addNewRestoreInstance()` Appends and returns a new empty value (as xml) as the last "restoreInstance" element
    `org.apache.xmlbeans.XmlLong` | `addNewUpgradeInstance()` Appends and returns a new empty value (as xml) as the last "upgradeInstance" element
    `void` | `addReplaceInstance(long replaceInstance)` Appends the value as the last "replaceInstance" element
    `void` | `addUpgradeInstance(long upgradeInstance)` Appends the value as the last "upgradeInstance" element
    `long[]` | `getReplaceInstanceArray()` Deprecated.
    `long` | `getReplaceInstanceArray(int i)` Gets ith "replaceInstance" element
    `java.util.List<java.lang.Long>` | `getReplaceInstanceList()` Gets a List of "replaceInstance" elements
    `CommunicationType[]` | `getRestoreInstanceArray()` Deprecated.
    `CommunicationType` | `getRestoreInstanceArray(int i)` Gets ith "restoreInstance" element
    `java.util.List<CommunicationType>` | `getRestoreInstanceList()` Gets a List of "restoreInstance" elements
    `long[]` | `getUpgradeInstanceArray()` Deprecated.
    `long` | `getUpgradeInstanceArray(int i)` Gets ith "upgradeInstance" element
    `java.util.List<java.lang.Long>` | `getUpgradeInstanceList()` Gets a List of "upgradeInstance" elements
    `org.apache.xmlbeans.XmlLong` | `insertNewReplaceInstance(int i)` Inserts and returns a new empty value (as xml) as the ith "replaceInstance" element
    `CommunicationType` | `insertNewRestoreInstance(int i)` Inserts and returns a new empty value (as xml) as the ith "restoreInstance" element
    `org.apache.xmlbeans.XmlLong` | `insertNewUpgradeInstance(int i)` Inserts and returns a new empty value (as xml) as the ith "upgradeInstance" element
    `void` | `insertReplaceInstance(int i, long replaceInstance)` Inserts the value as the ith "replaceInstance" element
    `void` | `insertUpgradeInstance(int i, long upgradeInstance)` Inserts the value as the ith "upgradeInstance" element
    `void` | `removeReplaceInstance(int i)` Removes the ith "replaceInstance" element
    `void` | `removeRestoreInstance(int i)` Removes the ith "restoreInstance" element
    `void` | `removeUpgradeInstance(int i)` Removes the ith "upgradeInstance" element
    `void` | `setReplaceInstanceArray(int i, long replaceInstance)` Sets ith "replaceInstance" element
    `void` | `setReplaceInstanceArray(long[] replaceInstanceArray)` Sets array of all "replaceInstance" element
    `void` | `setRestoreInstanceArray(CommunicationType[] restoreInstanceArray)` Sets array of all "restoreInstance" element
    `void` | `setRestoreInstanceArray(int i, CommunicationType restoreInstance)` Sets ith "restoreInstance" element
    `void` | `setUpgradeInstanceArray(int i, long upgradeInstance)` Sets ith "upgradeInstance" element
    `void` | `setUpgradeInstanceArray(long[] upgradeInstanceArray)` Sets array of all "upgradeInstance" element
    `int` | `sizeOfReplaceInstanceArray()` Returns number of "replaceInstance" element
    `int` | `sizeOfRestoreInstanceArray()` Returns number of "restoreInstance" element
    `int` | `sizeOfUpgradeInstanceArray()` Returns number of "upgradeInstance" element
    `org.apache.xmlbeans.XmlLong[]` | `xgetReplaceInstanceArray()` Deprecated.
    `org.apache.xmlbeans.XmlLong` | `xgetReplaceInstanceArray(int i)` Gets (as xml) ith "replaceInstance" element
    `java.util.List<org.apache.xmlbeans.XmlLong>` | `xgetReplaceInstanceList()` Gets (as xml) a List of "replaceInstance" elements
    `org.apache.xmlbeans.XmlLong[]` | `xgetUpgradeInstanceArray()` Deprecated.
    `org.apache.xmlbeans.XmlLong` | `xgetUpgradeInstanceArray(int i)` Gets (as xml) ith "upgradeInstance" element
    `java.util.List<org.apache.xmlbeans.XmlLong>` | `xgetUpgradeInstanceList()` Gets (as xml) a List of "upgradeInstance" elements
    `void` | `xsetReplaceInstanceArray(int i, org.apache.xmlbeans.XmlLong replaceInstance)` Sets (as xml) ith "replaceInstance" element
    `void` | `xsetReplaceInstanceArray(org.apache.xmlbeans.XmlLong[] replaceInstanceArray)` Sets (as xml) array of all "replaceInstance" element
    `void` | `xsetUpgradeInstanceArray(int i, org.apache.xmlbeans.XmlLong upgradeInstance)` Sets (as xml) ith "upgradeInstance" element
    `void` | `xsetUpgradeInstanceArray(org.apache.xmlbeans.XmlLong[] upgradeInstanceArray)` Sets (as xml) array of all "upgradeInstance" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getUpgradeInstanceList

          java.util.List<java.lang.Long> getUpgradeInstanceList()

      Gets a List of "upgradeInstance" elements

    - #### getUpgradeInstanceArray

          @Deprecated
          long[] getUpgradeInstanceArray()

      Deprecated.
      Gets array of all "upgradeInstance" elements

    - #### getUpgradeInstanceArray

          long getUpgradeInstanceArray(int i)

      Gets ith "upgradeInstance" element

    - #### xgetUpgradeInstanceList

          java.util.List<org.apache.xmlbeans.XmlLong> xgetUpgradeInstanceList()

      Gets (as xml) a List of "upgradeInstance" elements

    - #### xgetUpgradeInstanceArray

          @Deprecated
          org.apache.xmlbeans.XmlLong[] xgetUpgradeInstanceArray()

      Deprecated.
      Gets (as xml) array of all "upgradeInstance" elements

    - #### xgetUpgradeInstanceArray

          org.apache.xmlbeans.XmlLong xgetUpgradeInstanceArray(int i)

      Gets (as xml) ith "upgradeInstance" element

    - #### sizeOfUpgradeInstanceArray

          int sizeOfUpgradeInstanceArray()

      Returns number of "upgradeInstance" element

    - #### setUpgradeInstanceArray

          void setUpgradeInstanceArray(long[] upgradeInstanceArray)

      Sets array of all "upgradeInstance" element

    - #### setUpgradeInstanceArray

          void setUpgradeInstanceArray(int i,
                                     long upgradeInstance)

      Sets ith "upgradeInstance" element

    - #### xsetUpgradeInstanceArray

          void xsetUpgradeInstanceArray(org.apache.xmlbeans.XmlLong[] upgradeInstanceArray)

      Sets (as xml) array of all "upgradeInstance" element

    - #### xsetUpgradeInstanceArray

          void xsetUpgradeInstanceArray(int i,
                                      org.apache.xmlbeans.XmlLong upgradeInstance)

      Sets (as xml) ith "upgradeInstance" element

    - #### insertUpgradeInstance

          void insertUpgradeInstance(int i,
                                   long upgradeInstance)

      Inserts the value as the ith "upgradeInstance" element

    - #### addUpgradeInstance

          void addUpgradeInstance(long upgradeInstance)

      Appends the value as the last "upgradeInstance" element

    - #### insertNewUpgradeInstance

          org.apache.xmlbeans.XmlLong insertNewUpgradeInstance(int i)

      Inserts and returns a new empty value (as xml) as the ith "upgradeInstance" element

    - #### addNewUpgradeInstance

          org.apache.xmlbeans.XmlLong addNewUpgradeInstance()

      Appends and returns a new empty value (as xml) as the last "upgradeInstance" element

    - #### removeUpgradeInstance

          void removeUpgradeInstance(int i)

      Removes the ith "upgradeInstance" element

    - #### getReplaceInstanceList

          java.util.List<java.lang.Long> getReplaceInstanceList()

      Gets a List of "replaceInstance" elements

    - #### getReplaceInstanceArray

          @Deprecated
          long[] getReplaceInstanceArray()

      Deprecated.
      Gets array of all "replaceInstance" elements

    - #### getReplaceInstanceArray

          long getReplaceInstanceArray(int i)

      Gets ith "replaceInstance" element

    - #### xgetReplaceInstanceList

          java.util.List<org.apache.xmlbeans.XmlLong> xgetReplaceInstanceList()

      Gets (as xml) a List of "replaceInstance" elements

    - #### xgetReplaceInstanceArray

          @Deprecated
          org.apache.xmlbeans.XmlLong[] xgetReplaceInstanceArray()

      Deprecated.
      Gets (as xml) array of all "replaceInstance" elements

    - #### xgetReplaceInstanceArray

          org.apache.xmlbeans.XmlLong xgetReplaceInstanceArray(int i)

      Gets (as xml) ith "replaceInstance" element

    - #### sizeOfReplaceInstanceArray

          int sizeOfReplaceInstanceArray()

      Returns number of "replaceInstance" element

    - #### setReplaceInstanceArray

          void setReplaceInstanceArray(long[] replaceInstanceArray)

      Sets array of all "replaceInstance" element

    - #### setReplaceInstanceArray

          void setReplaceInstanceArray(int i,
                                     long replaceInstance)

      Sets ith "replaceInstance" element

    - #### xsetReplaceInstanceArray

          void xsetReplaceInstanceArray(org.apache.xmlbeans.XmlLong[] replaceInstanceArray)

      Sets (as xml) array of all "replaceInstance" element

    - #### xsetReplaceInstanceArray

          void xsetReplaceInstanceArray(int i,
                                      org.apache.xmlbeans.XmlLong replaceInstance)

      Sets (as xml) ith "replaceInstance" element

    - #### insertReplaceInstance

          void insertReplaceInstance(int i,
                                   long replaceInstance)

      Inserts the value as the ith "replaceInstance" element

    - #### addReplaceInstance

          void addReplaceInstance(long replaceInstance)

      Appends the value as the last "replaceInstance" element

    - #### insertNewReplaceInstance

          org.apache.xmlbeans.XmlLong insertNewReplaceInstance(int i)

      Inserts and returns a new empty value (as xml) as the ith "replaceInstance" element

    - #### addNewReplaceInstance

          org.apache.xmlbeans.XmlLong addNewReplaceInstance()

      Appends and returns a new empty value (as xml) as the last "replaceInstance" element

    - #### removeReplaceInstance

          void removeReplaceInstance(int i)

      Removes the ith "replaceInstance" element

    - #### getRestoreInstanceList

          java.util.List<CommunicationType> getRestoreInstanceList()

      Gets a List of "restoreInstance" elements

    - #### getRestoreInstanceArray

          @Deprecated
          CommunicationType[] getRestoreInstanceArray()

      Deprecated.
      Gets array of all "restoreInstance" elements

    - #### getRestoreInstanceArray

          CommunicationType getRestoreInstanceArray(int i)

      Gets ith "restoreInstance" element

    - #### sizeOfRestoreInstanceArray

          int sizeOfRestoreInstanceArray()

      Returns number of "restoreInstance" element

    - #### setRestoreInstanceArray

          void setRestoreInstanceArray(CommunicationType[] restoreInstanceArray)

      Sets array of all "restoreInstance" element

    - #### setRestoreInstanceArray

          void setRestoreInstanceArray(int i,
                                     CommunicationType restoreInstance)

      Sets ith "restoreInstance" element

    - #### insertNewRestoreInstance

          CommunicationType insertNewRestoreInstance(int i)

      Inserts and returns a new empty value (as xml) as the ith "restoreInstance" element

    - #### addNewRestoreInstance

          CommunicationType addNewRestoreInstance()

      Appends and returns a new empty value (as xml) as the last "restoreInstance" element

    - #### removeRestoreInstance

          void removeRestoreInstance(int i)

      Removes the ith "restoreInstance" element